## org.eclipse.wst.common.environment.uri
Interface IURIFilter

    public interface IURIFilter

This interface is implemented by classes that visit or list URIs. Refer to `IURI#getChildren`.

Since:
  1.0

Method Summary
`boolean` `accepts(IURI uri)` Filters the given IURI.

Method Detail

### accepts

    boolean accepts(IURI uri)
                    throws URIException

  Filters the given IURI.

  Parameters:
    `uri` - The resource to filter.
    `uri` - the uri that will be accepted or rejected.
  Returns:
    True if the resource matches the filter, false if it does not.
  Throws:
    `URIException` - If the filter fails to analyze the resource.